import { $get, $post } from "@/plugins/axios";

// wait-manage
export const waitTaskListPage = datas => {
  return $get("/api/print/exam/notDone/listPage", datas);
};
export const waitTaskDetail = datas => {
  return $get("/api/print/exam/notDone/detail", datas);
};
export const updateWaitTask = datas => {
  return $post("/api/print/exam/notDone/draft", datas);
};
export const submitWaitTask = datas => {
  return $post("/api/print/exam/notDone/submit", datas);
};

// done-task
export const doneTaskListPage = datas => {
  return $get("/api/print/exam/done/listPage", datas);
};
export const doneTaskDetail = datas => {
  return $get("/api/print/exam/done/detail", datas);
};
// 撤回
export const revokeDoneTask = id => {
  return $get("/api/print/exam/done/revoke", { id });
};

// exam-manage
export const examListPage = datas => {
  return $get("/api/print/exam/listPage", datas);
};
export const examList = () => {
  return $get("/api/print/exam/list", {});
};
export const createExam = datas => {
  return $post("/api/print/exam/add", datas);
};
export const examRoomDetail = datas => {
  return $get("/api/print/exam/detailRoomList", datas);
};
export const studentDetail = datas => {
  return $get("/api/print/exam/detailStuentList", datas);
};
export const deleteExam = id => {
  return $post("/api/print/exam/delete", { id });
};

// card-manage
export const allCardList = datas => {
  return $get("/api/print/exam/notDone/listCards", datas);
};

// print-manage
export const printTaskListPage = datas => {
  return $get("/api/print/manager/listPage", datas);
};
